<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Лидеры дня'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();


if (!isset($_GET['go']))
{


$set['p_str']=5;
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{echo "Нет лидеров<br/>\n";}
$q=mysql_query("SELECT * FROM `leaders` ORDER BY rand() LIMIT $start, $set[p_str]");
while ($a = mysql_fetch_array($q)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $a[user] LIMIT 1"));
mysql_query("DELETE FROM `leaders` WHERE `time` < '".(time()-86400*$a['balls'])."'"); // удаление старых
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;





if ($set['set_show_icon']==1){
}
elseif ($set['set_show_icon']==1)
echo "  </td>\n";
{
echo "  <td class=''>\n";
if(is_file("sys/avatar/$ank[id].gif")){
echo "<img src='/sys/avatar/$ank[id].gif' align='left' width='32' height='32' alt='' style='margin-right:4px;border-right:px solid #99ccff'>\n";
}else if(is_file("sys/avatar/$ank[id].jpg")){
echo "<img src='/sys/avatar/$ank[id].jpg' align='left' width='32' height='32' alt='' style='margin-right:4px;border-right:px solid #99ccff'>\n";
}else if(is_file("sys/avatar/$ank[id].png")){
echo "<img src='/sys/avatar/$ank[id].png' align='left' width='32' height='32' alt='' style='margin-right:4px;border-right:px solid #99ccff'>\n";
}else{
echo '<img src="/sys/avatar/0.png" align="left" width="32" height="32" alt="" style="margin-right:4px;border-right:px solid #99ccff">';}
}
if($num==1){ 
echo "<div class='rowdown'>"; 
$num=0;
}else{ 
echo "<div class='rowup'>"; 
$num=1;}

echo "".online($ank['id'])." <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[color]\">$ank[nick]</span></a>\n";


if ($ank['pol']==1)
echo "М";
else
echo "Ж";

if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "/$ank[ank_age]</span>\n";

}
echo "<br/>\n";

if ($a['text']!=NULL){
$string = mb_substr($a['text'],0,45,'utf-8');
echo''.$string.'...';}
else
echo "Без комментариев...\n";


echo "</table>\n";echo "</div>\n";

}



if($user){
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `leaders` WHERE `user` = '$user[id]'"), 0)==0)
{
echo'<a style="color: " href="best.php">Как сюда попасть?</a> ';}}
}

include_once 'sys/inc/tfoot.php';
?>